package org.objectweb.jonas.jtests.beans.relation.lcp;


public class SIMPLEPARENTPK implements java.io.Serializable {

    // Variables
    public  String spPkId;

    // Methods
    public int hashCode() {
        return spPkId.hashCode();
    }

    public String toString() {
        return "" + spPkId;
    }

    public boolean equals(Object obj) {
        if (obj == null || !(obj instanceof SIMPLEPARENTPK)) {
            return false;
        } else if (((SIMPLEPARENTPK) obj).spPkId.equals(this.spPkId)) {
            return true;
        } else {
            return false;
        }
    }

}
